function [Pe]=h2e(Ph);
% prevod euklidovskych souradnic na homogenni
%
% [Pe]=h2e(Ph);
%
% - Ph...(nx3,nx4) Matice bodu (vektoru) v homog. souradnicich
% ->Pe...(nx2,nx3) Matice bodu (vektoru) v euklid. souradnicich
%


[r,c]=size(Ph);

if (r==3 | r==4) & ~(c==3 | c==4),
   cas=2;
else
   cas=1;
end

if cas==1
   d=size(Ph,2);
	w=Ph(:,d);
	w=repmat(w,1,d-1);
	Pe=Ph(:,1:d-1)./w;
else
   d=size(Ph,1);
	w=Ph(d,:);
	w=repmat(w,d-1,1);
	Pe=Ph(1:d-1,:)./w;
end
